package discord

import (
	"strings"

	"github.com/bwmarrin/discordgo"

	"TerraOceanBot/discord/config"
	"TerraOceanBot/discord/modules"
)

func ProcessCommand(s *discordgo.Session, m *discordgo.MessageCreate) {
	if m.Author.ID == s.State.User.ID {
		return
	}

	command := strings.Split(m.Content, " ")
	for _, v := range modules.Commands {
		if v.Name == strings.toLower(command[0]) {
			v.Handler(s, m, command)
			return
		}
	}
}

func ProcessVote(s *discordgo.Session, m *discordgo.MessageCreate) {
	//TODO Factorize this code into a command
	if m.ChannelID == config.VoteSuggestionChannel {
		modules.VoteSuggestion(s, m)
	}
}
